View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007434CMakeCMakepublic2008-07-31 13:082016-06-10 14:30
ReporterIvan Shynkarenka 
Assigned ToBill Hoffman 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0007434: Patch: Support for the Windows Mobile platform
DescriptionThe patch contains necessary changes to give CMAKE possibility to create projects for Windows Mobile platform through toolchain file. The functionality was tested under Microsoft Visual Studio 2008, but should also work under Microsoft Visual Studio 2005.

Patch also contains:

1) Fix for the issue '0007431' - AUX_SOURCE_DIRECTORY does not collect ASM-ATT source files (.s, .S)
2) Fix for the Win32 console application. We should provide _CONSOLE definition instead of _WINDOWS.
TagsNo tags attached.
Attached Fileszip file icon WindowsMobile.zip [^] (4,837 bytes) 2008-07-31 13:08
zip file icon NewWindowsMobilePatch.zip [^] (8,995 bytes) 2008-10-16 12:38
zip file icon Toolchain-WindowsMobile-cl.zip [^] (579 bytes) 2008-10-16 12:38
zip file icon NewWindowsMobileReleaseNotes.zip [^] (1,154 bytes) 2008-10-16 12:39
zip file icon NewWindowsMobileFAQ.zip [^] (1,287 bytes) 2008-10-16 12:39
zip file icon NewWindowsMobileSample.zip [^] (5,085 bytes) 2008-10-16 12:39

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013656)
Bill Hoffman (manager)
2008-10-01 13:37

Is there a way to test this with a dashboard? If I add it to CMake, I would like to make sure it stays working.
(0013777)
Ivan Shynkarenka (reporter)
2008-10-09 07:47

After some internals tests I found that deploying is not working. In <GlobalSection> of the solution file generator should add .Deploy, e.g.

GlobalSection(ProjectConfigurationPlatforms) = postSolution
{8AF91761-E815-4963-A172-44D243CE8687}.Debug|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Pocket PC 2003 (ARMV4)
{8AF91761-E815-4963-A172-44D243CE8687}.Debug|Pocket PC 2003 (ARMV4).Build.0 = Debug|Pocket PC 2003 (ARMV4)
{8AF91761-E815-4963-A172-44D243CE8687}.Debug|Pocket PC 2003 (ARMV4).Deploy.0 = Debug|Pocket PC 2003 (ARMV4)

For this reason existent VC generators have to be improved or new Windows Mobile generator should be created based on VC ones.

I'll investigate how we can test it with dashboard.
(0013894)
Ivan Shynkarenka (reporter)
2008-10-16 12:37

I have improved support for Windows Mobile and tested it under Visual Studio 2005 and Visual Studio 2005. Also I created a sample Windows Mobile project which can be used as an example (it consists of exe, 2 static libs and 2 dlls).

In order to assure that new functionality does not break other things I successfully performed cmake/tests/run_tests and tried to build some native Windows projects created with Visual Stuidio generators.

Here comes a new patch (NewWindowsMobilePatch.zip), toolchain file (Toolchain-WindowsMobile-cl.zip), release notes (NewWindowsMobileReleaseNotes.zip), short faq (NewWindowsMobileFAQ.zip) and sample project (NewWindowsMobileSample.zip).
(0013895)
Ivan Shynkarenka (reporter)
2008-10-16 12:43

Concerning a dashboard. I think it is possible to test that other functionality is not broken (regression test) and that projects successfully compiles under Windows Mobile. Unfortunately I don't know how to perform automatic testing on the Microsoft Mobile Devise emulator outside the Visual Studio IDE.
(0041443)
Kitware Robot (administrator)
2016-06-10 14:27

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2008-07-31 13:08 Ivan Shynkarenka New Issue
2008-07-31 13:08 Ivan Shynkarenka File Added: WindowsMobile.zip
2008-07-31 13:11 Bill Hoffman Status new => assigned
2008-07-31 13:11 Bill Hoffman Assigned To => Bill Hoffman
2008-10-01 13:37 Bill Hoffman Note Added: 0013656
2008-10-09 07:47 Ivan Shynkarenka Note Added: 0013777
2008-10-16 12:37 Ivan Shynkarenka Note Added: 0013894
2008-10-16 12:38 Ivan Shynkarenka File Added: NewWindowsMobilePatch.zip
2008-10-16 12:38 Ivan Shynkarenka File Added: Toolchain-WindowsMobile-cl.zip
2008-10-16 12:39 Ivan Shynkarenka File Added: NewWindowsMobileReleaseNotes.zip
2008-10-16 12:39 Ivan Shynkarenka File Added: NewWindowsMobileFAQ.zip
2008-10-16 12:39 Ivan Shynkarenka File Added: NewWindowsMobileSample.zip
2008-10-16 12:43 Ivan Shynkarenka Note Added: 0013895
2016-06-10 14:27 Kitware Robot Note Added: 0041443
2016-06-10 14:27 Kitware Robot Status assigned => resolved
2016-06-10 14:27 Kitware Robot Resolution open => moved
2016-06-10 14:30 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker